E-MailRelay

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
GNet::InterfacesNotifierImp Class Reference

Handles read events on a routing netlink socket. More...

Inheritance diagram for GNet::InterfacesNotifierImp:

## Public Member Functions
| InterfacesNotifierImp (Interfaces *, ExceptionSink es)
std::string | readEvent () override
| Called by GNet::Interfaces to handle a read event. More...
std::string | onFutureEvent () override
| Called by GNet::Interfaces to handle a future event. More...
template<typename T >
std::pair< T *, std::size_t > | readSocket ()
Public Member Functions inherited from GNet::InterfacesNotifier
virtual std::string | readEvent ()=0
| Called by GNet::Interfaces to handle a read event. More...
virtual std::string | onFutureEvent ()=0
| Called by GNet::Interfaces to handle a future event. More...
virtual | ~InterfacesNotifier ()=default
| Destructor.

## Static Public Member Functions
static bool | active ()

## Public Attributes
G::Buffer< char > | m_buffer
std::unique_ptr< RawSocket > | m_socket

## Detailed Description

Handles read events on a routing netlink socket.

Definition at line 56 of file ginterfaces_unix.cpp.

## Constructor & Destructor Documentation

## ◆ InterfacesNotifierImp()

GNet::InterfacesNotifierImp::InterfacesNotifierImp | ( | Interfaces * | ,
|  | ExceptionSink | es
| ) |  |

Definition at line 287 of file ginterfaces_unix.cpp.

## Member Function Documentation

## ◆ active()

bool GNet::InterfacesNotifierImp::active | ( |  | ) |
| static

Definition at line 282 of file ginterfaces_unix.cpp.

## ◆ onFutureEvent()

std::string GNet::InterfacesNotifierImp::onFutureEvent | ( |  | ) |
| override virtual

Called by GNet::Interfaces to handle a future event.

Returns a diagnostic representation of the event or the empty string.

Implements GNet::InterfacesNotifier.

Definition at line 151 of file ginterfaces_unix.cpp.

## ◆ readEvent()

std::string GNet::InterfacesNotifierImp::readEvent | ( |  | ) |
| override virtual

Called by GNet::Interfaces to handle a read event.

Returns a diagnostic representation of the event or the empty string.

Implements GNet::InterfacesNotifier.

Definition at line 291 of file ginterfaces_unix.cpp.

## ◆ readSocket()

template<typename T >

std::pair< T *, std::size_t > GNet::InterfacesNotifierImp::readSocket

Definition at line 134 of file ginterfaces_unix.cpp.

## Member Data Documentation

## ◆ m_buffer

G::Buffer<char> GNet::InterfacesNotifierImp::m_buffer

Definition at line 66 of file ginterfaces_unix.cpp.

## ◆ m_socket

std::unique_ptr<RawSocket> GNet::InterfacesNotifierImp::m_socket

Definition at line 67 of file ginterfaces_unix.cpp.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/ginterfaces_unix.cpp